<?php

/* -----------------------------------------------------------------------------
  class name: css
  class version: 1.0
  date: 2007-11-03
  ------------------------------------------------------------------------------
  author: grum at grum.dnsalias.com
  << May the Little SpaceFrog be with you >>
  ------------------------------------------------------------------------------

   this classes provides base functions to manage css
    classe consider that $filename is under plugins/ directory


    - constructor css($filename)
    - (public) function css_file_exists()
    - (public) function make_CSS($css)
    - (public) function apply_CSS()
   ---------------------------------------------------------------------- */
class css
{
  var $filename;

  function css($filename)
  {
    $this->filename=$filename;
  }

  /*
    make the css file
  */
  function make_CSS($css)
  {
    if($css!="")
    {
      $handle=fopen($this->filename, "w");
      if($handle)
      {
        fwrite($handle, $css);
        fclose($handle);
      }
    }
  }

  /*
    return true if css file exists
  */
  function css_file_exists()
  {
    return(file_exists($this->filename));
  }

  /*
    put a link in the template to load the css file
    this function have to be called in a 'loc_end_page_header' trigger

    if $text="", insert link to css file, otherwise insert directly a <style> markup
  */
  function apply_CSS()
  {
    global $template;

    $template->assign_block_vars('head_element',
      array('CONTENT' => '<link rel="stylesheet" type="text/css" href="plugins/'.basename(dirname($this->filename))."/".basename($this->filename).'">')
    );

  }
} //class

?>